
import unittest
import numpy as np
import helperFunctions as hF
import matplotlib.pyplot as plt
from CellData import icelldata_of_dir
from Baseline import BaselineCellData
import os


class BaselineTester(unittest.TestCase):

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def test_get_burstiness(self):
        for cell in icelldata_of_dir("../data/"):

            baseline = BaselineCellData(cell)

            bursty = baseline.get_burstiness()

            self.assertTrue(bursty <= 1)
            self.assertTrue(bursty >= 0)
